/***********************************************************/
/*     T2Net_ct.h  --  T2Net algorithm Constants           */
/*                                                         */
/*     Version 1.02                                        */
/***********************************************************/

LPSTR interfaceversion  = "1.02";

int TimerLevel[MAX_LEVEL] = {1000,930,860,800,740,680,620,560,500,440,380,320,270,230,190,160,130,100,75,50};

t_pieces pieces[2][16] = 
 {
  { /* game 1 */                      
   { /* Piece 1 */
    2,
    {
      {{0,0, 1,0, 2,0, 3,0}, 2,-1,4,1,1}, /* Pos 1 */
      {{0,0, 0,1, 0,2, 0,3},-2, 1,1,4,0}, /* Pos 2 */
    }
   },
  
   { /* Piece 2 */
    1,
    {
      {{0,0, 1,0, 0,1, 1,1},0,0,2,2,0}, /* Pos 1 */
    }
   },

   { /* Piece 3 */
    4,
    {
      {{0,0, 1,0, 2,0, 1,1}, 1,-1,3,2,1}, /* Pos 1 */
      {{0,0, 0,1, 0,2, 1,1},-1, 0,2,3,0}, /* Pos 2 */
      {{0,1, 1,1, 2,1, 1,0}, 0, 0,3,2,0}, /* Pos 3 */
      {{1,0, 1,1, 1,2, 0,1}, 0, 1,2,3,0}, /* Pos 4 */
    }
   },

   { /* Piece 4 */
    4,
    {
      {{0,0, 0,1, 1,0, 2,0}, 1,-1,3,2,1}, /* Pos 1 */
      {{0,0, 0,1, 0,2, 1,2},-1, 0,2,3,0}, /* Pos 2 */
      {{2,0, 0,1, 1,1, 2,1}, 0, 0,3,2,1}, /* Pos 3 */
      {{0,0, 1,0, 1,1, 1,2}, 0, 1,2,3,0}, /* Pos 4 */
    }
   },
   
   { /* Piece 5 */
    4,
    {
      {{0,0, 1,0, 2,0, 2,1}, 1,-1,3,2,1}, /* Pos 1 */
      {{0,0, 1,0, 0,1, 0,2},-1, 0,2,3,0}, /* Pos 2 */
      {{0,0, 0,1, 1,1, 2,1}, 0, 0,3,2,1}, /* Pos 3 */
      {{1,0, 1,1, 1,2, 0,2}, 0, 1,2,3,0}, /* Pos 4 */
    }
   },

   { /* Piece 6 */
    2,
    {
      {{1,0, 2,0, 0,1, 1,1}, 0, 0,3,2,0}, /* Pos 1 */
      {{0,0, 0,1, 1,1, 1,2}, 0, 0,2,3,0}, /* Pos 2 */
    }
   },

   { /* Piece 7 */
    2,
    {
      {{0,0, 1,0, 1,1, 2,1}, 0, 0,3,2,0}, /* Pos 1 */
      {{1,0, 1,1, 0,1, 0,2}, 0, 0,2,3,0}, /* Pos 2 */
    }
   }
  },
  
  { /* game 2 */
   { /* Piece 1 */
    2,
    {
     {{0,0, 1,0, 2,0, 3,0, 4,0}, 2,-2, 5, 1, 2},
     {{0,0, 0,1, 0,2, 0,3, 0,4},-2, 2, 1, 5, 0}
    }
   },
   
   { /* Piece 2 */
    4,
    {
     {{0,1, 1,1, 2,1, 3,1, 3,0}, 1,-1, 4, 2, 1},
     {{1,0, 1,1, 1,2, 1,3, 0,0},-1, 1, 2, 4, 0},
     {{0,0, 1,0, 2,0, 3,0, 0,1}, 1,-1, 4, 2, 0},
     {{0,0, 0,1, 0,2, 0,3, 1,3},-1, 1, 2, 4, 0}
    }
   },
   
   { /* Piece 3 */
    4,
    {
     {{0,1, 1,1, 2,1, 3,1, 2,0}, 1, -1, 4, 2, 1},
     {{1,0, 1,1, 1,2, 1,3, 0,1},-1,  1, 2, 4, 0},
     {{0,0, 1,0, 2,0, 3,0, 1,1}, 1, -1, 4, 2, 0},
     {{0,0, 0,1, 0,2, 0,3, 1,2},-1,  1, 2, 4, 0}
    }
   },
   
   { /* Piece 4 */
    4,
    {
     {{0,1, 1,1, 2,1, 3,1, 1,0}, 1,-1, 4, 2, 1}, 
     {{1,0, 1,1, 1,2, 1,3, 0,2},-1, 1, 2, 4, 0},
     {{0,0, 1,0, 2,0, 3,0, 2,1}, 1,-1, 4, 2, 0},
     {{0,0, 0,1, 0,2, 0,3, 1,1},-1, 1, 2, 4, 0}
    }
   },
   
   { /* Piece 5 */
    4,
    {
      {{0,1, 1,1, 2,1, 3,1, 0,0}, 1,-1, 4, 2, 1},
      {{1,0, 1,1, 1,2, 1,3, 0,3},-1, 1, 2, 4, 0},
      {{0,0, 1,0, 2,0, 3,0, 3,1}, 1,-1, 4, 2, 0},
      {{0,0, 0,1, 0,2, 0,3, 1,0},-1, 1, 2, 4, 0}
    }
   },
   
   { /* Piece 6 */
    4,
    {
      {{0,0, 1,0, 2,0, 2,1, 2,2}, 0, 0, 3, 3, 0},
      {{0,2, 0,1, 0,0, 1,0, 2,0}, 0, 0, 3, 3, 0},
      {{0,0, 0,1, 0,2, 1,2, 2,2}, 0, 0, 3, 3, 0},
      {{2,0, 2,1, 2,2, 1,2, 0,2}, 0, 0, 3, 3, 0}
    }
   },
   
   { /* Piece 7 */
    4,
    {
      {{0,0, 1,0, 2,0, 2,1, 1,1}, 1, 0, 3, 2, 1},
      {{0,2, 0,1, 0,0, 1,0, 1,1}, 0, 0, 2, 3, 0},
      {{1,0, 0,0, 0,1, 1,1, 2,1}, 0,-1, 3, 2, 0},
      {{1,0, 1,1, 1,2, 0,2, 0,1},-1, 1, 2, 3, 0}
    }
   },
   
   { /* Piece 8 */
    4,
    {
      {{0,0, 1,0, 2,0, 2,1, 0,1}, 1,-1, 3, 2, 1},
      {{0,2, 0,1, 0,0, 1,0, 1,2},-1, 1, 2, 3, 0},
      {{2,0, 0,0, 0,1, 1,1, 2,1}, 1,-1, 3, 2, 0},
      {{1,0, 1,1, 1,2, 0,2, 0,0},-1, 1, 2, 3, 0}
    }
   },  
   
   { /* Piece 9 */
    2,
    {
      {{0,0, 0,1, 1,1, 2,1, 2,2}, 0, 0, 3, 3, 0},
      {{0,2, 1,2, 1,1, 1,0, 2,0}, 0, 0, 3, 3, 0}
    }
   },
     
   { /* Piece 10 */
    4,
    {
      {{0,0, 0,1, 1,1, 2,1, 1,2}, 0, 0, 3, 3, 0},
      {{0,2, 1,2, 1,1, 1,0, 2,1}, 0, 0, 3, 3, 0},
      {{2,2, 2,1, 1,1, 1,0, 0,1}, 0, 0, 3, 3, 0},
      {{2,0, 1,0, 1,1, 0,1, 1,2}, 0, 0, 3, 3, 0}
    }
   },
     
   { /* Piece 11 */
    4,
    {
      {{2,0, 0,1, 1,1, 2,1, 1,2}, 0, 0, 3, 3, 0},
      {{0,0, 1,2, 1,1, 1,0, 2,1}, 0, 0, 3, 3, 0},
      {{0,2, 2,1, 1,1, 1,0, 0,1}, 0, 0, 3, 3, 0},
      {{2,2, 1,0, 1,1, 0,1, 1,2}, 0, 0, 3, 3, 0}
    }
   },
   
   { /* Piece 12 */
    4,
    {
      {{0,0, 1,0, 2,0, 0,1, 1,1}, 0,-1, 3, 2, 1},
      {{0,0, 0,1, 1,1, 0,2, 1,2},-1, 1, 2, 3, 0},
      {{0,1, 1,1, 2,1, 1,0, 2,0}, 1, 0, 3, 2, 0},
      {{0,0, 1,0, 0,1, 1,1, 1,2}, 0, 0, 2, 3, 0}
    }
   },
   
   { /* Piece 13 */
    1,
    {
      {{1,1, 1,0, 1,2, 0,1, 2,1}, 0, 0, 3, 3, 0}
    }
   },
   
   { /* Piece 14 */
    4,
    {
      {{0,2, 0,1, 1,1, 1,0, 2,0}, 0, 0, 3, 3, 0},
      {{0,0, 0,1, 1,1, 1,2, 2,2}, 0, 0, 3, 3, 0},
      {{0,2, 1,2, 1,1, 2,1, 2,0}, 0, 0, 3, 3, 0},
      {{0,0, 1,0, 1,1, 2,1, 2,2}, 0, 0, 3, 3, 0}
    }
   },
   
   { /* Piece 15 */
    4,
    {
      {{0,0, 1,0, 2,0, 1,1, 1,2}, 0, 0, 3, 3, 0},
      {{0,0, 0,1, 0,2, 1,1, 2,1}, 0, 0, 3, 3, 0},
      {{0,2, 1,2, 2,2, 1,1, 1,0}, 0, 0, 3, 3, 0},
      {{0,1, 1,1, 2,1, 2,2, 2,0}, 0, 0, 3, 3, 0}
    }
   },
   
   { /* Piece 16 */
    2,
    {
      {{0,2, 0,1, 1,1, 2,1, 2,0}, 0, 0, 3, 3, 0},
      {{0,0, 1,0, 1,1, 1,2, 2,2}, 0, 0, 3, 3, 0}
    }
   }
  }
 };